# coding: utf-8
from celery_balancer.metrics.interface import MetricsApi
from celery_balancer.metrics.linux.os_api import LinuxOsApi


class LinuxMetricsApi(MetricsApi):
    """Класс для получения метрик в ОС Linux."""

    metrics = {
        u'mem': u'Используемая оперативная память.',
        u'swp': u'Используемый своп.',
        u'load_avg_1': u'Load average за 1 минуту.',
        u'load_avg_5': u'Load average за 5 минут.',
        u'load_avg_15': u'Load average за 15 минут.',
    }

    def __init__(self):
        self.os_api = LinuxOsApi()

    def _get_mem(self, server_name):
        return self.os_api.get_mem(server_name)

    def _get_swp(self, server_name):
        return self.os_api.get_swp(server_name)

    def _get_load_avg_1(self, server_name):
        return self.os_api.get_load_avg_1(server_name)

    def _get_load_avg_5(self, server_name):
        return self.os_api.get_load_avg_5(server_name)

    def _get_load_avg_15(self, server_name):
        return self.os_api.get_load_avg_15(server_name)
